#!/bin/sh -x
topdir=$MADROOT
#--
#  Branch on #arguments.
#--
case $# in
  0) mode=ttbb;
     cms=500;
     pol1=0;
     pol2=0;;
  1) mode=$1;
     cms=500;
     pol1=0;
     pol2=0;;
  2) mode=$1;
     cms=$2;
     pol1=0;
     pol2=0;;
  3) mode=$1;
     cms=$2;
     pol1=$3;
     pol2=0;;
  4) mode=$1;
     cms=$2;
     pol1=$3;
     pol2=$4;;
  *) echo "not supported";
     exit;;
esac

halfcms=${cms}/2
workdir=$topdir/${mode}_p${pol1}_${pol2}_s${cms}
if [ -d $workdir ]; then
  echo "Directory exists."
  exit
fi

if [ X`uname -s` = XDarwin ]; then
cp_a='cp -RPp'
else
cp_a='cp -a'
fi

#Create directory from MyTemplate
$cp_a $topdir/Template $workdir
rm -rf $workdir/bin
rm -rf $workdir/Cards
$cp_a $topdir/MyTemplate/bin $workdir/.
$cp_a $topdir/MyTemplate/Cards $workdir/.

#Copy param_card.dat
cp $topdir/MyCards/param_card.dat.h120 $workdir/Cards/param_card.dat

#Copy proc_card.dat
cp $topdir/MyCards/proc_card.dat.${mode} $workdir/Cards/proc_card.dat

#Copy run_card.dat
cp $topdir/MyCards/run_card.dat.template1 $workdir/Cards/run_card.dat

echo "      " ${halfcms} "     = ebeam1  ! beam 1 energy in GeV" >> $workdir/Cards/run_card.dat
echo "      " ${halfcms} "     = ebeam2  ! beam 2 energy in GeV" >> $workdir/Cards/run_card.dat
echo "#*********************************************************************" >> $workdir/Cards/run_card.dat
echo "# Beam polarization from -100 (left-handed) to 100 (right-handed)    *" >> $workdir/Cards/run_card.dat
echo "#*********************************************************************" >> $workdir/Cards/run_card.dat
echo "      " ${pol1} "    = polbeam1 ! beam polarization for beam 1" >> $workdir/Cards/run_card.dat
echo "      " ${pol2} "    = polbeam2 ! beam polarization for beam 2" >> $workdir/Cards/run_card.dat
cat $topdir/MyCards/run_card.dat.template2 >> $workdir/Cards/run_card.dat

mv $workdir $topdir/dirs_notyet
#--
#  That's it!
#--
exit 0
