void makeplots()
{
  float a,b,c;

  vector<string> fname;
  fname.push_back("ttbb_p0_0.dat");
  fname.push_back("ttbb_p-80_60.dat");
  fname.push_back("ttbb_gluon_p0_0.dat");
  fname.push_back("ttbb_gluon_p-80_60.dat");
  fname.push_back("ttbb_nongluon_p0_0.dat");
  fname.push_back("ttbb_nongluon_p-80_60.dat");
  fname.push_back("ttWW_p0_0.dat");
  fname.push_back("ttWW_p-80_60.dat");
  fname.push_back("ttZZ_p0_0.dat");
  fname.push_back("ttZZ_p-80_60.dat");

  double cms[100][100];
  double xsec[100][100];
  double xsec_err[100][100];
  int count[100];
  double zero[100];
  TGraphErrors* graph[100];

  for (unsigned int i=0;i<100;i++) zero[i] = 0;

  for (unsigned int i=0;i<fname.size();i++) {

    count[i]=0;
    ifstream data1(fname[i].c_str());
    while(data1>>a>>b>>c) {
      cms[i][count[i]] = a;
      xsec[i][count[i]] = b*1000;
      xsec_err[i][count[i]] = c*1000;
      count[i]++;

    }

    graph[i] = new TGraphErrors(count[i],cms[i],xsec[i],zero,xsec_err[i]);

  } // i loop (available files)

  double aa[2]={0,1300};
  double bb[2]={-0.1,2.7};
  TGraphErrors* bframe = new TGraphErrors(2,aa,bb,zero,zero);
  bframe->Draw("AP");

  for (unsigned int i=0;i<fname.size();i++) {
    graph[i]->SetMarkerColor(i+1);
    graph[i]->SetLineColor(i);
    //graph[i]->Draw("Psame");
  }

  graph[0]->Draw("P");
  //graph[2]->Draw("P");
  //graph[4]->Draw("P");
  graph[6]->Draw("P");
  graph[8]->Draw("P");

  TLegend* leg1 = new TLegend(0.6,0.6,0.9,0.9);
  leg1->AddEntry(graph[0],"All t#bar{t}b#bar{b} BG","p");
  leg1->AddEntry(graph[6],"t#bar{t}WW BG","p");
  leg1->AddEntry(graph[8],"t#bar{t}ZZ BG","p");
  leg1->Draw("same");

  /*
  TCanvas* ee = new TCanvas();
  graph[4]->SetMarkerColor(2);
  graph[4]->SetLineColor(2);
  bframe->Draw("AP");
  graph[0]->Draw("P");
  graph[2]->Draw("P");
  graph[4]->Draw("P");
  TLegend* leg2 = new TLegend(0.6,0.6,0.9,0.9);
  leg2->AddEntry(graph[0],"All t#bar{t}b#bar{b} BG","p");
  leg2->AddEntry(graph[2],"t#bar{t}g #rightarrow t#bar{t}b#bar{b}","p");
  leg2->AddEntry(graph[4],"Others","p");
  leg2->Draw("same");

  TCanvas* ff = new TCanvas();
  bframe->Draw("AP");
  graph[0]->Draw("P");
  graph[1]->Draw("P");
  TLegend* leg3 = new TLegend(0.6,0.6,0.9,0.9);
  leg3->AddEntry(graph[0],"All t#bar{t}b#bar{b} BG no polarization","p");
  leg3->AddEntry(graph[1],"All t#bar{t}b#bar{b} BG polarized beam","p");
  leg3->Draw("same");

  TCanvas* gg = new TCanvas();
  bframe->Draw("AP");
  graph[6]->SetMarkerColor(1);
  graph[6]->SetLineColor(1);
  graph[7]->SetMarkerColor(2);
  graph[7]->SetLineColor(2);
  graph[6]->Draw("P");
  graph[7]->Draw("P");
  TLegend* leg4 = new TLegend(0.6,0.6,0.9,0.9);
  leg4->AddEntry(graph[6],"t#bar{t}WW BG no polarization","p");
  leg4->AddEntry(graph[7],"t#bar{t}WW BG polarized beam","p");
  leg4->Draw("same");

  TCanvas* hh = new TCanvas();
  bframe->Draw("AP");
  graph[8]->SetMarkerColor(1);
  graph[8]->SetLineColor(1);
  graph[9]->SetMarkerColor(2);
  graph[9]->SetLineColor(2);
  graph[8]->Draw("P");
  graph[9]->Draw("P");
  TLegend* leg5 = new TLegend(0.6,0.6,0.9,0.9);
  leg5->AddEntry(graph[8],"t#bar{t}ZZ BG no polarization","p");
  leg5->AddEntry(graph[9],"t#bar{t}ZZ BG polarized beam","p");
  leg5->Draw("same");
  */
}
